Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.web.startup
Class AbstractTilesInitializerServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.apache.tiles.web.startup.AbstractTilesInitializerServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

Direct Known Subclasses:
  SimpleTilesInitializerServlet, TilesServlet

    public abstract class AbstractTilesInitializerServlet

extends javax.servlet.http.HttpServlet

Abstract Initialization Servlet. Uses a `TilesInitializer`, created by `createTilesInitializer()` to initialize Tiles.

Since:
  2.2.0
Version:
  $Rev: 797540 $ $Date: 2009-07-24 17:42:00 +0200 (ven, 24 lug 2009) $
See Also:
  `TilesListener`, Serialized Form

Constructor Summary
`AbstractTilesInitializerServlet()`

Method Summary
`protected abstract TilesInitializer` | `createTilesInitializer()` Creates a new instance of `TilesInitializer`.
`void` | `destroy()`
`void` | `init()`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractTilesInitializerServlet

    public AbstractTilesInitializerServlet()

Method Detail

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `javax.servlet.Servlet`
  Overrides:
    `destroy` in class `javax.servlet.GenericServlet`

### init

    public void init()
              throws javax.servlet.ServletException

  Overrides:
    `init` in class `javax.servlet.GenericServlet`
  Throws:
    `javax.servlet.ServletException`

### createTilesInitializer

    protected abstract TilesInitializer createTilesInitializer()

  Creates a new instance of `TilesInitializer`. Implement it to use your custom initializer.

  Returns:
    The Tiles servlet-based initializer.
  Since:
    2.2.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.